# PrimitiveFloat Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveFloat:
[legend]

List of all members.

## Protected Member Functions

| checkNumber ($number)
| castNumber ($number)

## Detailed Description

Definition at line 15 of file PrimitiveFloat.class.php.

## Member Function Documentation

PrimitiveFloat::castNumber | ( | $ | number | ) | `[protected]`

Reimplemented from PrimitiveNumber.

Definition at line 22 of file PrimitiveFloat.class.php.

PrimitiveFloat::checkNumber | ( | $ | number | ) | `[protected]`

Reimplemented from PrimitiveNumber.

Definition at line 17 of file PrimitiveFloat.class.php.

References Assert::isFloat().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveFloat.class.php